## heudiconv 0.1

=== Makefile ===
PREFIX ?= /usr/local

all:

install:
	mkdir -p $(DESTDIR)$(PREFIX)/share/heudiconv/heuristics
	mkdir -p $(DESTDIR)$(PREFIX)/share/doc/heudiconv/examples/heuristics
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	install -t $(DESTDIR)$(PREFIX)/bin bin/heudiconv
	install -m 644 -t $(DESTDIR)$(PREFIX)/share/heudiconv/heuristics heuristics/*
	install -m 644 -t $(DESTDIR)$(PREFIX)/share/doc/heudiconv/examples/heuristics/  examples/heuristics/*

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/heudiconv
	rm -fr $(DESTDIR)$(PREFIX)/share/heudiconv
	rm -fr $(DESTDIR)$(PREFIX)/share/doc/heudiconv

=== debian/changelog ===
heudiconv (0.1-1~nd15.04+1) vivid; urgency=medium

  * Backported for vivid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Team
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Team <team@neuro.debian.net>  Wed, 23 Sep 2015 19:14:49 +0200

heudiconv (0.1-1) UNRELEASED; urgency=low

  * Initial release (Closes: #).

 -- Michael Hanke <mih@debian.org>  Fri, 04 Sep 2015 18:08:10 +0200

=== debian/control ===
Source: heudiconv
Maintainer: NeuroDebian Team <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               help2man
Standards-Version: 3.9.6
Homepage: https://github.com/nipy/heudiconv

Package: heudiconv
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends},
         python,
         python-dcmstack,
         python-dicom,
         python-nibabel,
         python-numpy,
         python-nipype,
Recommends: mricron
Description: DICOM converter with support for structure heuristics
 This is a flexible dicom converter for organizing brain imaging data into
 structured directory layouts. It allows for flexible directory layouts and
 naming schemes through customizable heuristics implementations.
 It only converts the necessary dicoms, not everything in a directory.
 It tracks the provenance of the conversion from dicom to nifti in w3c
 prov format.

## heudiconv 0.4

=== Makefile ===
PREFIX ?= /usr/local

all:

install:
	mkdir -p $(DESTDIR)$(PREFIX)/share/heudiconv/heuristics
	mkdir -p $(DESTDIR)$(PREFIX)/share/doc/heudiconv/examples/heuristics
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	install bin/heudiconv $(DESTDIR)$(PREFIX)/bin
	install -m 644 heuristics/* $(DESTDIR)$(PREFIX)/share/heudiconv/heuristics

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/heudiconv
	rm -fr $(DESTDIR)$(PREFIX)/share/heudiconv
	rm -fr $(DESTDIR)$(PREFIX)/share/doc/heudiconv

=== requirements.txt ===
.[full]
# This is a dcmstack branch with changes for Python 3
# sent PR to main repo, TODO: check if merged
# https://github.com/ghisvail/dcmstack/pull/1
git+git://github.com/mvdoc/dcmstack@bf/importsys

=== debian/changelog ===
heudiconv (0.4-1~nd17.04+1) zesty; urgency=medium

  * Backported for zesty.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 07 Dec 2017 22:10:55 -0500

heudiconv (0.4-1) unstable; urgency=medium

  * Recent upstream release
    - lots of changes
  * debian/control
    - Vcs fields
    - myself to uploaders
    - uses pytest for tests
    - added python-datalad to Recommends
    - added python-dicom and python-dcmstack to B-Depends for tests
  * debian/copyright
    - adjusted years, source url
  * debian/tests
    - added for rudimentary autopkgtest

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 07 Dec 2017 20:14:38 -0500

heudiconv (0.1+git94-g85a2afb-1) UNRELEASED; urgency=low

  * New upstream snapshot.
    - More heuristics.
    - More DICOM converters supported (e.g. dcm2niix)
  * Install generated manpage.
  * Switch to pybuild from custom Makefile.

 -- Michael Hanke <mih@debian.org>  Tue, 18 Apr 2017 08:31:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,24 @@
 Source: heudiconv
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
 X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
-Uploaders: Michael Hanke <mih@debian.org>
+Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
 Section: science
 Priority: optional
+Testsuite: autopkgtest
 Build-Depends: debhelper (>= 9),
-               help2man
-Standards-Version: 3.9.6
+               dh-python,
+               python-all,
+               python-mock,
+               python-setuptools,
+               python-six,
+               python-pytest,
+               help2man,
+               python-dcmstack,
+               python-dicom,
+Standards-Version: 4.1.1
 Homepage: https://github.com/nipy/heudiconv
+Vcs-Browser: https://github.com/nipy/heudiconv
+Vcs-Git: https://github.com/nipy/heudiconv -b debian
 
 Package: heudiconv
 Architecture: all
@@ -18,7 +29,10 @@
          python-nibabel,
          python-numpy,
          python-nipype,
-Recommends: mricron
+Recommends: mricron,
+            dcm2niix,
+            python-pytest,
+            python-datalad,
 Description: DICOM converter with support for structure heuristics
  This is a flexible dicom converter for organizing brain imaging data into
  structured directory layouts. It allows for flexible directory layouts and

## heudiconv 0.5.2

=== debian/changelog ===
heudiconv (0.5.2-1) unstable; urgency=medium

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 04 Jan 2019 10:35:47 -0500

heudiconv (0.5.1-1) neurodebian; urgency=medium

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 12 Nov 2018 09:00:13 -0500

heudiconv (0.5-1) neurodebian; urgency=medium

  * Fresh upstream release
    - huge refactoring to provide a heudiconv module
    - explicit assignment of the license (apache-2.0)
  * debian/
    - depend on python-pathlib and dcm2niix (from Recommends)
    - remove recommends of mricron, no longer used
    - python-nipype and dcm2niix into build-depends for build-time testing
    - custom patch for trusty to tollerate exec in setup.py

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 01 Mar 2018 18:39:07 -0500

heudiconv (0.4-1) neurodebian; urgency=medium

  * Recent upstream release
    - lots of changes
  * debian/control
    - Vcs fields
    - myself to uploaders
    - uses pytest for tests
    - added python-datalad to Recommends
    - added python-dicom and python-dcmstack to B-Depends for tests
  * debian/copyright
    - adjusted years, source url
  * debian/tests
    - added for rudimentary autopkgtest

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 07 Dec 2017 20:14:38 -0500

heudiconv (0.1+git94-g85a2afb-1) neurodebian; urgency=low

  * New upstream snapshot.
    - More heuristics.
    - More DICOM converters supported (e.g. dcm2niix)
  * Install generated manpage.
  * Switch to pybuild from custom Makefile.

 -- Michael Hanke <mih@debian.org>  Tue, 18 Apr 2017 08:31:40 +0200

heudiconv (0.1-1) neurodebian; urgency=low

  * Initial release.

 -- Michael Hanke <mih@debian.org>  Fri, 04 Sep 2015 18:08:10 +0200

=== debian/control ===
Source: heudiconv
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-datalad,
               python-mock,
               python-setuptools,
               python-six,
               python-pytest,
               python-nipype, dcm2niix,
               python-pathlib,
               help2man,
               python-dcmstack,
               python-dicom,
Standards-Version: 4.3.0
Homepage: https://github.com/nipy/heudiconv
Vcs-Browser: https://github.com/nipy/heudiconv
Vcs-Git: https://github.com/nipy/heudiconv -b debian

Package: heudiconv
Architecture: all
Depends: ${misc:Depends},
         dcm2niix,
         python,
         python-dcmstack,
         python-dicom,
         python-nibabel,
         python-pathlib,
         python-numpy,
         python-nipype,
Recommends: python-pytest,
            python-datalad,
Description: DICOM converter with support for structure heuristics
 This is a flexible dicom converter for organizing brain imaging data into
 structured directory layouts. It allows for flexible directory layouts and
 naming schemes through customizable heuristics implementations.
 It only converts the necessary dicoms, not everything in a directory.
 It tracks the provenance of the conversion from dicom to nifti in w3c
 prov format.

=== debian/rules ===
#!/usr/bin/make -f

srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
debver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 )
upstreamver = $(shell echo $(debver) | cut -d '-' -f 1,1 )

# this figures out the last merge point from 'master' into the Debian branch and
# then described this commit relative to the last release tag (V...)
# If this should make any sense the local master branch must track upstream's
# master or whatever other source branch.
gitver = $(shell [ -x /usr/bin/git ] && git describe --tags --match 'v[0-9].*' $$(git merge-base -a HEAD master) | sed -e 's/^v//' -e 's/-/+git/')

export DH_VERBOSE = 1
export PYBUILD_NAME = heudiconv

# for paranoid
export  http_proxy=http://127.0.0.1:9/

# to please datalad and git
export EMAIL=debian@example.com
export GIT_AUTHOR_NAME="The Name"
export GIT_COMMITTER_NAME=$(GIT_AUTHOR_NAME)

# one ring to rule them all ...
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	mkdir -p build 
	PYTHONPATH=./debian/heudiconv/usr/lib/python2.7/dist-packages \
	help2man -n 'DICOM converter for organizing brain imaging data into structured directory layouts' \
		-N --no-discard-stderr \
        ./debian/heudiconv/usr/bin/heudiconv >| build/heudiconv.1
	find debian -iname *.pyc -delete

clean::
	dh_clean
	# Ahhhhhhh!
	rm -rf .pybuild build .pytest_cache/
	-rm -rf heudiconv.egg-info/

# make orig tarball from repository content
get-orig-source:
	# orig tarball, turn directory into something nicer
	git archive --format=tar --prefix=$(srcpkg)-$(gitver)/ HEAD | \
		gzip -9 > $(srcpkg)_$(gitver).orig.tar.gz

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/v(\d)\.(\d).*/heudiconv-$1.$2\.tar\.gz/" \
  http://github.com/nipy/heudiconv/tags .*archive/v(\d[\d.]+).tar.gz

## heudiconv 0.5.3

=== debian/changelog ===
heudiconv (0.5.3-1~nd17.10+1) artful; urgency=medium

  * Backported for artful.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sat, 12 Jan 2019 10:31:33 -0500

heudiconv (0.5.3-1) unstable; urgency=medium

  * Fresh minor bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 12 Jan 2019 09:54:18 -0500

## heudiconv 0.5.4

=== debian/changelog ===
heudiconv (0.5.4-1~nd90+1) stretch; urgency=medium

  * Backported for stretch.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 10 May 2019 13:26:05 -0400

heudiconv (0.5.4-1) experimental; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 10 May 2019 13:05:22 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: heudiconv
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
 Section: science
 Priority: optional
@@ -23,7 +24,7 @@
 
 Package: heudiconv
 Architecture: all
-Depends: ${misc:Depends},
+Depends: neurodebian-popularity-contest, ${misc:Depends},
          dcm2niix,
          python,
          python-dcmstack,

## heudiconv 0.6.0

=== debian/changelog ===
heudiconv (0.6.0-1~nd18.10+1) cosmic; urgency=medium

  * Backported for cosmic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 16 Dec 2019 14:52:03 -0500

heudiconv (0.6.0-1) unstable; urgency=medium

  * Fresh upstream release, upload to unstable
  * debian/rules
    - cleanup artifacts from running tests at build time
  * debian/control
    - python-filelock into (B)Depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 05 Dec 2019 21:18:16 -0500

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                dh-python,
                python-all,
                python-datalad,
+               python-filelock,
                python-mock,
                python-setuptools,
                python-six,
@@ -29,6 +30,7 @@
          python,
          python-dcmstack,
          python-dicom,
+         python-filelock,
          python-nibabel,
          python-pathlib,
          python-numpy,

## heudiconv 0.9.0

=== debian/changelog ===
heudiconv (0.9.0-3) unstable; urgency=medium

  * Team upload.
  * remove debian/gbp.conf
  * Move package to Debian Med team
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Do not parse d/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 17 Nov 2021 10:42:36 +0100

heudiconv (0.9.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix autopkgtests
  * d/watch: Fix broken regex in watch file
  * Pull upstream patch to fix compatibility with new datalad

 -- Nilesh Patra <nilesh@debian.org>  Sat, 13 Nov 2021 11:23:03 +0000

heudiconv (0.9.0-2) unstable; urgency=medium

  * Replace python with python3 as a Depends (Closes: #982120)
  * Suppress warnings from python while producing manpages to make build
    reproducible.  Thanks Chris Lamb (Closes: #923170)
  * debian/patches
    + 0001-BF-datalad-use-public-call_git-added-in-0.12.0-not-d.patch
      for compatibility with datalad 0.14 which deprecated a protected method

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 06 Feb 2021 12:24:25 -0500

heudiconv (0.9.0-1) unstable; urgency=medium

  * Fresh upstream release, another attempt at unstable (needs python3-nipype,
    in NEW queue)
  * debian/control
    - boost to debcompat 10
    - switch to use python3- versions of packages
      (Closes #934687)
    - require nipype >= 1.2.3 as the one fixing handling of DWI files

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 23 Dec 2020 10:27:58 -0500

heudiconv (0.6.0-1) UNRELEASED; urgency=medium

  * Fresh upstream release, upload to unstable
  * debian/rules
    - cleanup artifacts from running tests at build time
  * debian/control
    - python-filelock into (B)Depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 05 Dec 2019 21:18:16 -0500

=== debian/control ===
Source: heudiconv
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael Hanke <mih@debian.org>,
           Yaroslav Halchenko <debian@onerussian.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-datalad,
               python3-filelock,
               python3-mock,
               python3-setuptools,
               python3-six,
               python3-pytest,
               python3-nipype,
               dcm2niix,
               help2man,
               python3-dcmstack,
               python3-dicom
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/heudiconv
Vcs-Git: https://salsa.debian.org/med-team/heudiconv.git
Homepage: https://github.com/nipy/heudiconv
Rules-Requires-Root: no

Package: heudiconv
Architecture: all
Depends: ${misc:Depends},
         dcm2niix,
         python3,
         python3-dcmstack,
         python3-dicom,
         python3-filelock,
         python3-nibabel,
         python3-numpy,
         python3-nipype
Recommends: python3-pytest,
            python3-datalad,
            python3-etelemetry
Description: DICOM converter with support for structure heuristics
 This is a flexible dicom converter for organizing brain imaging data into
 structured directory layouts. It allows for flexible directory layouts and
 naming schemes through customizable heuristics implementations.
 It only converts the necessary dicoms, not everything in a directory.
 It tracks the provenance of the conversion from dicom to nifti in w3c
 prov format.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export PYBUILD_NAME = heudiconv

# for paranoid
export  http_proxy=http://127.0.0.1:9/

# to please datalad and git
export EMAIL=debian@example.com
export GIT_AUTHOR_NAME="The Name"
export GIT_COMMITTER_NAME=$(GIT_AUTHOR_NAME)

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	mkdir -p build
	PYTHONPATH=$$(/bin/ls -d ./debian/heudiconv/usr/lib/python*/*-packages | head -n 1)
	help2man -n 'DICOM converter for organizing brain imaging data into structured directory layouts' \
		-N --no-discard-stderr \
        "python3 -W ignore ./debian/heudiconv/usr/bin/heudiconv" >| build/heudiconv.1
	find debian -iname *.pyc -delete
	# https://github.com/nipy/heudiconv/issues/399
	rm -rf debian/heudiconv/usr/lib/python*/*-packages/Research
	find debian -name __pycache__ | xargs rm -rf


override_dh_clean:
	dh_clean
	# Ahhhhhhh!
	rm -rf .pybuild build .pytest_cache/
	-rm -rf heudiconv.egg-info/

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v(\d)\.(\d).*/heudiconv-$1.$2\.tar\.gz/" \
  http://github.com/nipy/heudiconv/tags .*archive/.*/v(\d[\d.]+).tar.gz

## heudiconv 0.10.0

=== Makefile ===
PYTHON ?= python3

all:
	echo 'nothing by default'

prep_release:
	# take previous one, and replace with the next one
	utils/prep_release

release-pypi: prep_release
	# avoid upload of stale builds
	test ! -e dist
	# make sure all is still clean/committed
	! bash -c 'git diff | grep -q .'
	$(PYTHON) setup.py sdist
	$(PYTHON) setup.py bdist_wheel
	twine upload dist/*

=== requirements.txt ===
.[all]

=== docs/requirements.txt ===
sphinx-argparse
m2r
-r ../dev-requirements.txt

=== debian/changelog ===
heudiconv (0.10.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.10.0
  * d/rules: copy test dir to build directory before
    tests, since some files are not copied by default
  * Drop merged patches, pull a upstream patch to fix tests
  * Add python3:Depends to Depends field, use --with python3 to
    use the python helper
  * Set PYTHONPATH to properly generate manpage
  * Fix copyright years
  * Migrate to secure URI

 -- Nilesh Patra <nilesh@debian.org>  Wed, 17 Nov 2021 22:52:11 +0530

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,8 @@
 
 Package: heudiconv
 Architecture: all
-Depends: ${misc:Depends},
+Depends: ${python3:Depends},
+         ${misc:Depends},
          dcm2niix,
          python3,
          python3-dcmstack,

=== debian/rules ===
--- 
+++ 
@@ -10,14 +10,15 @@
 export EMAIL=debian@example.com
 export GIT_AUTHOR_NAME="The Name"
 export GIT_COMMITTER_NAME=$(GIT_AUTHOR_NAME)
+export PYBUILD_BEFORE_TEST := cp -a heudiconv/tests {build_dir}/heudiconv/
 
 %:
-	dh $@ --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_install:
 	dh_auto_install
 	mkdir -p build
-	PYTHONPATH=$$(/bin/ls -d ./debian/heudiconv/usr/lib/python*/*-packages | head -n 1)
+	PYTHONPATH=$$(/bin/ls -d ./debian/heudiconv/usr/lib/python*/*-packages | head -n 1) \
 	help2man -n 'DICOM converter for organizing brain imaging data into structured directory layouts' \
 		-N --no-discard-stderr \
         "python3 -W ignore ./debian/heudiconv/usr/bin/heudiconv" >| build/heudiconv.1

=== debian/tests/control ===
Test-Command: pytest-3 -s -v .
Depends: @, python3-pytest, python3-mock

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v(\d)\.(\d).*/heudiconv-$1.$2\.tar\.gz/" \
  https://github.com/nipy/heudiconv/tags .*archive/.*/v(\d[\d.]+).tar.gz

## heudiconv 0.11.3

=== debian/changelog ===
heudiconv (0.11.3-1) unstable; urgency=medium

  * Fresh upstream release
  * CPed d/patches/0001* dropped, the other one refreshed
  * d/watch - switch to download "proper" source distribution from pypi
    instead of github.  github would not have heudicon/_version.py
    (coming with 0.11.2) produced by PEP 518 versioningit workflow.

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 12 May 2022 20:37:06 -0400

## heudiconv 0.11.4

=== debian/changelog ===
heudiconv (0.11.4-1) unstable; urgency=medium

  * Fresh upstream release
    - fixes some tests which can fail with buggy datalad (Closes: #1015102)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 29 Sep 2022 19:12:48 -0400

## heudiconv 0.11.6

=== debian/changelog ===
heudiconv (0.11.6-1) unstable; urgency=medium

  * Fresh upstream release: primarily documentation fixes

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 21 Nov 2022 15:49:26 -0500

=== debian/watch ===
version=3

opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/heudiconv/heudiconv-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## heudiconv 0.13.1

=== debian/changelog ===
heudiconv (0.13.1-1~nd100+1) buster; urgency=medium

  * Backported for buster.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 30 May 2023 14:48:43 -0400

heudiconv (0.13.1-1) experimental; urgency=medium

  * Recent upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 30 May 2023 14:32:31 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: heudiconv
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael Hanke <mih@debian.org>,
            Yaroslav Halchenko <debian@onerussian.com>
 Section: science
@@ -26,7 +27,7 @@
 
 Package: heudiconv
 Architecture: all
-Depends: ${python3:Depends},
+Depends: neurodebian-popularity-contest, ${python3:Depends},
          ${misc:Depends},
          dcm2niix,
          python3,

## heudiconv 1.1.6

=== debian/changelog ===
heudiconv (1.1.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.6
  * update dependencies:
    - python3-mock
    - python3-six
    + python3-boto3
    + python3-duecredit
    + python3-inotify
    + python3-tinydb

 -- Alexandre Detiste <tchet@debian.org>  Fri, 10 May 2024 12:55:16 +0200

## heudiconv 1.3.2

=== debian/changelog ===
heudiconv (1.3.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 13 Nov 2024 13:26:08 -0500

=== debian/control ===
Source: heudiconv
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael Hanke <mih@debian.org>,
           Yaroslav Halchenko <debian@onerussian.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dcm2niix,
               help2man,
               python3-all,
               python3-boto3,
               python3-datalad,
               python3-dcmstack,
               python3-dicom,
               python3-duecredit,
               python3-filelock,
               python3-inotify,
               python3-nipype,
               python3-pytest,
               python3-setuptools,
               python3-tinydb,
#Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/heudiconv
Vcs-Git: https://salsa.debian.org/med-team/heudiconv.git
Homepage: https://github.com/nipy/heudiconv
Rules-Requires-Root: no

Package: heudiconv
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         dcm2niix,
         python3,
         python3-dcmstack,
         python3-dicom,
         python3-filelock,
         python3-inotify,
         python3-nibabel,
         python3-numpy,
         python3-nipype,
         python3-tinydb
Recommends: python3-pytest,
            python3-datalad,
            python3-etelemetry
Description: DICOM converter with support for structure heuristics
 This is a flexible dicom converter for organizing brain imaging data into
 structured directory layouts. It allows for flexible directory layouts and
 naming schemes through customizable heuristics implementations.
 It only converts the necessary dicoms, not everything in a directory.
 It tracks the provenance of the conversion from dicom to nifti in w3c
 prov format.

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,14 @@
 export GIT_COMMITTER_NAME=$(GIT_AUTHOR_NAME)
 export PYBUILD_BEFORE_TEST := cp -a heudiconv/tests {build_dir}/heudiconv/
 
+# zeros.bval does not exists (in the tarbal at least...)
+export PYBUILD_TEST_ARGS=heudiconv/tests/test_* -k 'not test_bvals_are_zero and not test_reproin_largely_smoke'
+# test_reproin_largely_smoke likely only fails on 32 bit platform
+
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	mkdir -p build
 	PYTHONPATH=$$(/bin/ls -d ./debian/heudiconv/usr/lib/python*/*-packages | head -n 1) \
 	help2man -n 'DICOM converter for organizing brain imaging data into structured directory layouts' \
@@ -28,8 +31,7 @@
 	find debian -name __pycache__ | xargs rm -rf
 
 
-override_dh_clean:
-	dh_clean
+execute_after_dh_clean:
 	# Ahhhhhhh!
 	rm -rf .pybuild build .pytest_cache/
 	-rm -rf heudiconv.egg-info/
